Package com.google.android.exoplayer2.video.spherical

## Class Projection.SubMesh

- java.lang.Object
- - com.google.android.exoplayer2.video.spherical.Projection.SubMesh

- Enclosing class:
    Projection

      public static final class Projection.SubMesh
      extends Object

  The sub mesh associated with the `Projection.Mesh`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `mode` | The drawing mode.
    `float[]` | `textureCoords` | The SubMesh texture coordinates.
    `int` | `textureId` | Texture ID.
    `float[]` | `vertices` | The SubMesh vertices.
    `static int` | `VIDEO_TEXTURE_ID` | Texture ID for video frames.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubMesh​(int textureId, float[] vertices, float[] textureCoords, int mode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getVertexCount()` | Returns the SubMesh vertex count.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VIDEO_TEXTURE_ID

          public static final int VIDEO_TEXTURE_ID

      Texture ID for video frames.
      See Also:
        Constant Field Values

    - #### textureId

          public final int textureId

      Texture ID.

    - #### mode

          @DrawMode
          public final int mode

      The drawing mode. One of `Projection.DrawMode`.

    - #### vertices

          public final float[] vertices

      The SubMesh vertices.

    - #### textureCoords

          public final float[] textureCoords

      The SubMesh texture coordinates.

  - ### Constructor Detail

    - #### SubMesh

          public SubMesh​(int textureId,
                         float[] vertices,
                         float[] textureCoords,
                         @DrawMode
                         int mode)

  - ### Method Detail

    - #### getVertexCount

          public int getVertexCount()

      Returns the SubMesh vertex count.